AddBareMetal2Gateway
AddBareMetal2Gateway
POST
/zstack/v1/baremetal2/gatewaysOperation ID
AddBareMetal2GatewaySince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
usernameStringRequiredThe username of the gateway.
passwordStringRequiredThe password of the gateway.
sshPortintOptional. The SSH port of the gateway.
nameStringRequiredThe name of the gateway.
descriptionStringOptional. The detailed description of the gateway.
managementIpStringRequiredThe management network IPv4 address, IPv6 address, or domain name.
clusterUuidStringRequiredThe cluster UUID.
resourceUuidStringOptional. The UUID of the gateway.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
